Subject: Re: [rohc] RFC 4077 and feedback mechanism

From: "Ofer Goren" <[email-masked]>
Date: Wed, 2 Jul 2008 17:33:44 +0300

To make it public....

-----Original Message-----
From: Adam Roach [mailto:[email-masked]] 
Sent: Tuesday, July 01, 2008 18:21
To: Ofer Goren
Subject: Re: FW: [rohc] RFC 4077 and feedback mechanism

> According to RFC 4077, section 3.1, the format of the NACK message 
> includes the returned feedback mechanism item, just like any other 
> SigComp message (RFC 3320). However, according to RFC 3320, section 
> 9.4.9 (END-MESSAGE), the feedback item can be retrieved only during 
> END-MESSAGE command.
>

The feedback persists at an endpoint until it is sent. So, for example, 
a NACK can contain feedback in the following message flow:

      Terminal                     Edge Proxy
          |(1) Good Message             |
          |---------------------------->|
          |                             |Creates Feedback
          |(2) Bad Message              |
          |---------------------------->|
          |                             |
          |(3) NACK                     |
          |(Contains feedback           |
          |from good message)           |
          |<----------------------------|

> In most cases, if my decompression session reached the END-MESSAGE 
> command, it means decompression was successful. If not, I have no way 
> to retrieve the feedback item. In that case, what should I place in my

> NACK message?

The inclusion of feedback isn't mandatory -- if there is no feedback to 
be provided (in both NACK and other cases), simply leave the field out 
(that is, set the T bit in the header byte to '0'; see RFC 3320, section

7.1 for details).

/a

_______________________________________________
Rohc mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rohc